MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024291Open CASCADE[OCCT] OCCT:Visualizationpublic2013-10-25 19:402016-12-09 16:40
Reporterduv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0024291: Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d
DescriptionSeems more like a bug in OpenGl_Trihedron for perspective projection. OpenGl_Trihedron reuses orientation and projection matrix. It additionally makes matrix translation vectors equal to zero. Such an approach leads to loosing trihedron on the screen for perspective projection.

Normally, reuse of projection matrix for perspective projection would lead to perspective distortion of z-buffer Trihedron, which might differ for different locations of trihedron on the screen.

To evade unwanted distortion and steel keep perspective look of trihedron, it probably needs simply additional call of gl_viewport.

As seen on attached image correct perspective trihedron remains axes orientation and only have shrank line lengths relative to orthographic mode. While distorted trihedron do not represent actual view transformation.

Another possible solution is to leave trihedron to have only ortho projection as it may be seen in some commercial products.
Steps To Reproduce
pload VISUALIZATION
pload MODELING
vinit
vgrid r l
vzbufftrihedron
vzoom 10
box b 0 -50 0 10 20 30
vdisplay b
vsetdispmode b 1

vchangecamera proj persp
vzoom 10
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon trihedrons.PNG (5,064 bytes) 2013-10-25 19:40
png file icon ortho_box.png (12,210 bytes) 2013-10-31 19:04
png file icon persp_box.png (6,023 bytes) 2013-10-31 19:04
png file icon persp_box_noclip.png (45,264 bytes) 2013-10-31 19:04
png file icon pesp_box2.png (66,623 bytes) 2013-10-31 19:04
png file icon tpers.png (10,524 bytes) 2013-10-31 22:03
png file icon 3rdparty_trihedron.png (65,252 bytes) 2013-11-01 16:13

- Relationships
related to 0024461closedbugmaster Community Restore the possibility for the zBuffer trto move automatically to a predefined postion when going outside the view 
parent of 0028035closedapn Open CASCADE Visualization - V3d_Trihedron::compute() endlessly creates new graphic groups 
related to 0007928closedbugmaster Community Forum 7411: Improved display lists management for the trihedron display 
related to 0021358closedbugmaster Open CASCADE Visualization - transform persistence and interactive selection 
related to 0023028closedbugmaster Open CASCADE Visualization, TKOpenGl - eliminate global static variables 
related to 0026641closedbugmaster Open CASCADE Visualization, TKOpenGl - handle correctly transformation persistence within perspective projection 
related to 0027816closedbugmaster Open CASCADE Visualization - provide an API for overriding clipping planes list 
related to 0027947closedbugmaster Community There are no way to set font name for Triedron 
related to 0027958closedbugmaster Open CASCADE Visualization, AIS_Trihedron - add shaded presentation option 

-  Notes
(0026402)
duv (developer)
2013-10-31 17:31

Dear kgv,

Could you please review current solution?

Considering all arguments I decided to always use ortho projection for trihedron. Code is in branch CR24291.
(0026407)
kgv (developer)
2013-10-31 19:06

I don't think that proposed solution provides natural results.
(0026408)
abv (manager)
2013-10-31 19:19

I agree that it would be better to show trihedron with axes directed in accordance with the local co-ordinate axes at the point where trihedron is located on the picture (i.e. "distorted"), even if it is an object living separately from the rest of the scene. After all, its purpose is to show directions of main axes of global CS. Naturally, the option can be provided allowing the user to choose either "perspective" or "axonometric" trihedron.
(0026409)
kgv (developer)
2013-10-31 22:07

Dear duv,

I consider fixing general transformation persistence stuff at first step and then remove trihedron-specific computations by general logic.
Please see vsettransmode command and bug23120 (it seems bug23120_1 is exactly the same test and should be removed).

pload MODELING
pload VISUALIZATION
box b1 10 20 30
vinit
vdisplay b1
vsettransmode b1 32 0 0 -1 -1 0
vsetdispmode b1 1
vchangecamera proj persp
(0026422)
san (developer)
2013-11-01 16:20

Dear all,

Please have a look at 3rdparty_trihedron.png attached. Snapshot was taken using a third-party 3D visualization tool which is quite successful. Thus I believe both options are acceptable.

I downgrade the priority of this issue to low, not to distract resources from far more important issue #24001.
And I fully agree to rewrite z-buffered trihedron using common rendering scheme, rather than some highly specific sequence of OpenGL calls.
(0027200)
san (developer)
2013-12-13 09:41

Requirement from 0024461 should be also considered, if possible.
(0043585)
git (administrator)
2015-07-27 15:01

Branch CR24291 has been deleted by kgv.

SHA-1: deabf3e3b831eb09799c4d286cb342f29d74a2be
(0055767)
git (administrator)
2016-07-08 17:45

Branch CR24291 has been created by isk.

SHA-1: 25d16265d2870f11287b930f96706aac2d4abd6f


Detailed log of new commits:

Author: isk
Date: Fri Jul 8 17:46:22 2016 +0300

    Refactoring

Author: isk
Date: Fri Jul 8 15:01:08 2016 +0300

    0024291: Visualization - Z-buffer trihedron is lost when switching to perspective projection
(0057110)
git (administrator)
2016-08-26 15:59

Branch CR24291 has been updated forcibly by isk.

SHA-1: 04b33491b0035ae0a291a01fce3f843603d8b2be
(0057111)
isk (developer)
2016-08-26 16:00

Rebase on the branch CR22582_4.
(0057112)
isk (developer)
2016-08-26 16:00

Dear Kirill,
please review the branch CR24291.
(0058515)
kgv (developer)
2016-10-10 10:20
edited on: 2016-10-10 10:22

Note that unlike ColorScale, it is desired to keep V3d_View property for displaying static trihedron object - since it is widely used functionality and unnecessary complication of porting should be avoided.

Thus, presentation builder should be moved to general-purpose packages (Prs3d/StdPrs) and re-used in V3d-View and AIS_Trihedron.

(0058600)
git (administrator)
2016-10-12 09:06

Branch CR24291_1 has been created by isk.

SHA-1: 631ea959ad9dd33d75a50431cc36ad511e687d2e


Detailed log of new commits:

Author: isk
Date: Fri Jul 8 15:01:08 2016 +0300

    0024291: Visualization - Z-buffer trihedron is lost when switching to perspective projection
    Remove the next methods from Graphic3d_CView: TriedronDisplay, TriedronErase, ZBufferTriedronSetup, TriedronEcho.
    Delete OpenGl_Trihedron class.
    Add a new class V3d_Trihedron.
(0058601)
isk (developer)
2016-10-12 09:08

Dear Kirill,
Please review the branch CR24291_1.
(0058608)
git (administrator)
2016-10-12 11:59

Branch CR24291_1 has been updated by isk.

SHA-1: 3ce9b991fec33a814aa7d92cca122d7d25721b28


Detailed log of new commits:

Author: isk
Date: Wed Oct 12 11:58:30 2016 +0300

    Fix remarks by Kirill.

(0058617)
git (administrator)
2016-10-12 15:00

Branch CR24291_1 has been updated by isk.

SHA-1: 1d32b6da0ea484e83e4a8289566711be84db6505


Detailed log of new commits:

Author: isk
Date: Wed Oct 12 15:00:45 2016 +0300

    Drop redundant code

(0058618)
git (administrator)
2016-10-12 15:01

Branch CR24291_2 has been created by isk.

SHA-1: 1d32b6da0ea484e83e4a8289566711be84db6505


No new revisions were added by this update.
(0058623)
git (administrator)
2016-10-12 15:58

Branch CR24291_2 has been updated forcibly by isk.

SHA-1: eebd7f987b6c136e67cb738d9acef71d45ab5db4
(0058653)
git (administrator)
2016-10-13 12:41

Branch CR24291_1 has been updated by isk.

SHA-1: f024f5b90d590227367fd70527fa95fa50c585ea


Detailed log of new commits:

Author: isk
Date: Thu Oct 13 12:41:43 2016 +0300

    Fix remarks by Kirill.

(0058659)
git (administrator)
2016-10-13 13:43

Branch CR24291_2 has been updated forcibly by isk.

SHA-1: 4ecb703e61492d9dae7d4d47936b5b5d2b0985a1
(0058660)
isk (developer)
2016-10-13 13:44

Dear Kirill,
please review the branch CR24291_2.
(0058700)
git (administrator)
2016-10-13 23:28

Branch CR24291_2 has been updated by kgv.

SHA-1: ad682e8f8d0ee77e2c2572daf9fe5d9d35dc6a7b


Detailed log of new commits:

Author: kgv
Date: Thu Oct 13 23:27:50 2016 +0300

    Not implemented method V3d_View::TriedronEcho() and enum Aspect_TypeOfTriedronEcho have been removed.
    
    V3d_Trihedron - do not create structure before display.
    Define single-view Graphic3d_ViewAffinity directly.

(0058701)
git (administrator)
2016-10-13 23:32

Branch CR24291_3 has been created by kgv.

SHA-1: bbd5771e032712ae465570e3e86c1f82b4ce5cf0


Detailed log of new commits:

Author: isk
Date: Fri Jul 8 15:01:08 2016 +0300

    0024291: Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d
    
    Not implemented method V3d_View::TriedronEcho() and enum Aspect_TypeOfTriedronEcho have been removed.
    The following methods have been removed from Graphic3d_CView class:
    TriedronDisplay(), TriedronErase(), ZBufferTriedronSetup(), TriedronEcho().
    New class V3d_Trihedron has been added as replacement of removed OpenGl_Trihedron
    which now uses Graphic3d_TMF_TriedronPers persistence.
(0058702)
git (administrator)
2016-10-13 23:35

Branch CR24291_3 has been updated forcibly by kgv.

SHA-1: 37783c694e0d048dccd40d709e5309ab9473688c
(0058704)
kgv (developer)
2016-10-13 23:39

Please test the patch in branches CR24291_3 (OCCT and Products).
(0058725)
git (administrator)
2016-10-14 14:40

Branch CR24291_3 has been updated forcibly by apv.

SHA-1: 49546e9fffc939169f0ecd81faf67f00748b1bc1
(0058727)
apv (tester)
2016-10-14 14:44

Branches CR24291_3 from occt and products git-repositories have been rebased on the current masters
(0058793)
apv (tester)
2016-10-17 14:07

Dear BugMaster,

Branch CR24291_3 from occt git-repository (and CR24291_3 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 49546e9fffc939169f0ecd81faf67f00748b1bc1
SHA-1: 3f906a2b958a62f1ea6c7b8a3c483cdfa3a01777

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1170

Regressions/Differences:
http://occt-tests/CR24291_3-CR24291_3-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR24291_3-CR24291_3-OCCT/Windows-64-VC10/summary.html [^]
bugs vis bug71, bug23225, bug25500, bug26424

Testing on Linux:
occt component:
Total MEMORY difference: 90392248 / 90569079 [-0.20%]
Total CPU difference: 19432.209999999977 / 19463.759999999937 [-0.16%]
products component:
Total MEMORY difference: 30090956 / 30069397 [+0.07%]
Total CPU difference: 5316.359999999972 / 5271.849999999968 [+0.84%]

Testing on Windows:
occt component:
Total MEMORY difference: 57222500 / 57250244 [-0.05%]
Total CPU difference: 17921.379279898712 / 18101.186032498666 [-0.99%]
products component:
Total MEMORY difference: 21302043 / 21265221 [+0.17%]
Total CPU difference: 5104.586721499955 / 5148.189000999964 [-0.85%]

There are differences in images found by testdiff:
http://occt-tests/CR24291_3-CR24291_3-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR24291_3-CR24291_3-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
v3d glsl msaa
v3d glsl tiles
v3d raytrace bug24819
bugs vis bug71
bugs vis bug26434
(0058794)
apv (tester)
2016-10-17 14:09

Dear Kirill,

Branches CR24291_3 from occt and products het-repositories have been rejected due to:
- regressions/differences/improvements
- differences in images
(0058810)
git (administrator)
2016-10-17 17:19

Branch CR24291_3 has been updated by kgv.

SHA-1: e17d91c3d5914661ceb38fee79333e7ff0e1c376


Detailed log of new commits:

Author: kgv
Date: Mon Oct 17 17:18:58 2016 +0300

    V3d_Trihedron - declare arrows default colors to Red/Green/Blue.
    Enable dummy texture mapping to disable environment texture map.
    V3d_Trihedron::TrihedronStructure has been defined for handling device lost.

(0058811)
git (administrator)
2016-10-17 17:23

Branch CR24291_4 has been created by kgv.

SHA-1: 4c744e5bcb5a9869878602f300396ef7d68fc8d7


Detailed log of new commits:

Author: isk
Date: Fri Jul 8 15:01:08 2016 +0300

    0024291: Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d
    
    Not implemented method V3d_View::TriedronEcho() and enum Aspect_TypeOfTriedronEcho have been removed.
    The following methods have been removed from Graphic3d_CView class:
    TriedronDisplay(), TriedronErase(), ZBufferTriedronSetup(), TriedronEcho().
    New class V3d_Trihedron has been added as replacement of removed OpenGl_Trihedron
    which now uses Graphic3d_TMF_TriedronPers persistence.
(0058812)
kgv (developer)
2016-10-17 17:23

Please test updated patch in branch CR24291_4.
(0058814)
kgv (developer)
2016-10-17 17:38

Sorry, a couple of test cases should be updated.
(0058816)
git (administrator)
2016-10-17 17:49

Branch CR24291_4 has been updated forcibly by kgv.

SHA-1: abba1e31605fe7ab9295182eddbc8f41810404b1
(0058817)
kgv (developer)
2016-10-17 17:49

Please test the patch.
(0058859)
apv (tester)
2016-10-18 12:31

Dear BugMaster,

Branch CR24291_4 from occt git-repository (and CR24291_3 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: abba1e31605fe7ab9295182eddbc8f41810404b1
SHA-1: 3f906a2b958a62f1ea6c7b8a3c483cdfa3a01777

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1133

Regressions/Differences:
Not detected

Testing on Linux:
occt component:
Total MEMORY difference: 90307296 / 90561844 [-0.28%]
Total CPU difference: 19484.48000000003 / 19463.559999999936 [+0.11%]
products component:
Total MEMORY difference: 30075861 / 30069397 [+0.02%]
Total CPU difference: 5323.709999999971 / 5271.849999999968 [+0.98%]

Testing on Windows:
occt component:
Total MEMORY difference: 57216554 / 57243619 [-0.05%]
Total CPU difference: 17947.727848798633 / 18100.624428898667 [-0.84%]
products component:
Total MEMORY difference: 21302040 / 21265221 [+0.17%]
Total CPU difference: 5084.47819259995 / 5148.189000999964 [-1.24%]
(0059426)
git (administrator)
2016-10-28 21:41

Branch CR24291_1 has been deleted by kgv.

SHA-1: f024f5b90d590227367fd70527fa95fa50c585ea
(0059427)
git (administrator)
2016-10-28 21:41

Branch CR24291_2 has been deleted by kgv.

SHA-1: ad682e8f8d0ee77e2c2572daf9fe5d9d35dc6a7b
(0059428)
git (administrator)
2016-10-28 21:41

Branch CR24291_3 has been deleted by kgv.

SHA-1: e17d91c3d5914661ceb38fee79333e7ff0e1c376
(0059429)
git (administrator)
2016-10-28 21:41

Branch CR24291_4 has been deleted by kgv.

SHA-1: abba1e31605fe7ab9295182eddbc8f41810404b1
(0059539)
git (administrator)
2016-10-28 21:48

Branch CR24291 has been deleted by kgv.

SHA-1: 04b33491b0035ae0a291a01fce3f843603d8b2be

- Related Changesets
occt: master caf231b0
Timestamp: 2016-07-08 12:01:08
Author: isk
Committer: apn
Details ] Diff ]
0024291: Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d

Not implemented method V3d_View::TriedronEcho() and enum Aspect_TypeOfTriedronEcho have been removed.
The following methods have been removed from Graphic3d_CView class:
TriedronDisplay(), TriedronErase(), ZBufferTriedronSetup(), TriedronEcho().
New class V3d_Trihedron has been added as replacement of removed OpenGl_Trihedron
which now uses Graphic3d_TMF_TriedronPers persistence.
rm - src/Aspect/Aspect_TypeOfTriedronEcho.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
rm - src/OpenGl/OpenGl_Cylinder.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Cylinder.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Disk.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Disk.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Quadric.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Quadric.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Sphere.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Sphere.hxx Diff ] File ]
rm - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolCylinder.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolCylinder.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolDisk.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolDisk.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolSphere.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolSphere.hxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
add - src/V3d/V3d_Trihedron.cxx Diff ] File ]
add - src/V3d/V3d_Trihedron.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
rm - tests/bugs/vis/bug23225 Diff ] File ]
rm - tests/bugs/vis/bug25500 Diff ] File ]
rm - tests/bugs/vis/bug26424 Diff ] File ]
rm - tests/bugs/vis/bug71 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-25 19:40 duv New Issue
2013-10-25 19:40 duv Assigned To => san
2013-10-25 19:40 duv File Added: trihedrons.PNG
2013-10-25 19:41 duv Description Updated View Revisions
2013-10-25 19:43 duv Description Updated View Revisions
2013-10-31 11:58 san Status new => assigned
2013-10-31 17:31 duv Note Added: 0026402
2013-10-31 17:31 duv Assigned To san => kgv
2013-10-31 17:31 duv Status assigned => resolved
2013-10-31 19:04 kgv File Added: ortho_box.png
2013-10-31 19:04 kgv File Added: persp_box.png
2013-10-31 19:04 kgv File Added: persp_box_noclip.png
2013-10-31 19:04 kgv File Added: pesp_box2.png
2013-10-31 19:06 kgv Relationship added related to 0024001
2013-10-31 19:06 kgv Note Added: 0026407
2013-10-31 19:07 kgv Steps to Reproduce Updated View Revisions
2013-10-31 19:19 abv Note Added: 0026408
2013-10-31 19:19 kgv Assigned To kgv => duv
2013-10-31 19:19 kgv Status resolved => assigned
2013-10-31 22:03 kgv File Added: tpers.png
2013-10-31 22:07 kgv Note Added: 0026409
2013-11-01 16:13 san File Added: 3rdparty_trihedron.png
2013-11-01 16:13 san Priority normal => low
2013-11-01 16:13 san Target Version 6.7.0 => 6.7.1
2013-11-01 16:20 san Note Added: 0026422
2013-12-13 09:37 san Relationship added related to 0024461
2013-12-13 09:41 san Note Added: 0027200
2014-02-05 14:52 kgv Relationship added related to 0007928
2014-02-05 14:53 kgv Priority low => high
2014-02-05 14:53 kgv Severity minor => major
2014-02-05 14:53 kgv Summary Z-buffer trihedron is lost when switching to perspective projection => Visualization - Z-buffer trihedron is lost when switching to perspective projection
2014-02-13 10:33 kgv Relationship added related to 0021358
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-04-23 10:16 kgv Relationship added related to 0023028
2014-11-05 09:54 kgv Priority high => normal
2014-11-05 09:54 kgv Severity major => minor
2014-11-05 09:54 kgv Target Version 6.8.0 => 7.1.0
2015-07-27 15:01 git Note Added: 0043585
2015-09-04 13:57 kgv Relationship added related to 0026641
2015-11-17 15:56 kgv Assigned To duv => kgv
2016-07-06 13:53 kgv Assigned To kgv => isk
2016-07-08 17:45 git Note Added: 0055767
2016-08-19 12:46 kgv Relationship added related to 0027793
2016-08-26 15:59 git Note Added: 0057110
2016-08-26 16:00 isk Note Added: 0057111
2016-08-26 16:00 isk Note Added: 0057112
2016-08-26 16:00 isk Assigned To isk => kgv
2016-08-26 16:00 isk Status assigned => resolved
2016-08-26 16:37 kgv Assigned To kgv => isk
2016-08-26 16:37 kgv Status resolved => assigned
2016-08-26 16:37 kgv Severity minor => integration request
2016-08-26 16:37 kgv Summary Visualization - Z-buffer trihedron is lost when switching to perspective projection => Visualization - move Z-buffer trihedron presentation to AIS
2016-08-27 13:16 kgv Relationship added related to 0027816
2016-10-10 10:20 kgv Note Added: 0058515
2016-10-10 10:22 kgv Note Edited: 0058515 View Revisions
2016-10-10 16:31 kgv Relationship added related to 0027947
2016-10-12 09:06 git Note Added: 0058600
2016-10-12 09:08 isk Note Added: 0058601
2016-10-12 09:08 isk Assigned To isk => kgv
2016-10-12 09:08 isk Status assigned => resolved
2016-10-12 11:59 git Note Added: 0058608
2016-10-12 15:00 git Note Added: 0058617
2016-10-12 15:01 git Note Added: 0058618
2016-10-12 15:58 git Note Added: 0058623
2016-10-13 10:34 kgv Assigned To kgv => isk
2016-10-13 10:34 kgv Status resolved => assigned
2016-10-13 10:35 kgv Summary Visualization - move Z-buffer trihedron presentation to AIS => Visualization - move Z-buffer trihedron presentation from TKOpenGl to TKV3d
2016-10-13 12:41 git Note Added: 0058653
2016-10-13 13:43 git Note Added: 0058659
2016-10-13 13:44 isk Note Added: 0058660
2016-10-13 13:44 isk Assigned To isk => kgv
2016-10-13 13:44 isk Status assigned => resolved
2016-10-13 16:36 kgv Relationship added related to 0027958
2016-10-13 23:28 git Note Added: 0058700
2016-10-13 23:32 git Note Added: 0058701
2016-10-13 23:35 git Note Added: 0058702
2016-10-13 23:39 kgv Note Added: 0058704
2016-10-13 23:39 kgv Assigned To kgv => bugmaster
2016-10-13 23:39 kgv Status resolved => reviewed
2016-10-14 13:59 apv Assigned To bugmaster => apv
2016-10-14 14:40 git Note Added: 0058725
2016-10-14 14:44 apv Note Added: 0058727
2016-10-17 14:07 apv Note Added: 0058793
2016-10-17 14:07 apv Assigned To apv => kgv
2016-10-17 14:07 apv Status reviewed => assigned
2016-10-17 14:09 apv Note Added: 0058794
2016-10-17 17:19 git Note Added: 0058810
2016-10-17 17:23 git Note Added: 0058811
2016-10-17 17:23 kgv Note Added: 0058812
2016-10-17 17:23 kgv Assigned To kgv => bugmaster
2016-10-17 17:23 kgv Status assigned => resolved
2016-10-17 17:24 kgv Status resolved => reviewed
2016-10-17 17:28 apv Assigned To bugmaster => apv
2016-10-17 17:38 kgv Note Added: 0058814
2016-10-17 17:38 kgv Assigned To apv => kgv
2016-10-17 17:38 kgv Status reviewed => assigned
2016-10-17 17:49 git Note Added: 0058816
2016-10-17 17:49 kgv Note Added: 0058817
2016-10-17 17:49 kgv Assigned To kgv => bugmaster
2016-10-17 17:49 kgv Status assigned => resolved
2016-10-17 17:49 kgv Status resolved => reviewed
2016-10-17 17:50 apv Assigned To bugmaster => apv
2016-10-18 12:31 apv Note Added: 0058859
2016-10-18 12:31 apv Assigned To apv => bugmaster
2016-10-18 12:31 apv Status reviewed => tested
2016-10-18 12:31 apv Test case number => Not needed
2016-10-21 11:25 apn Changeset attached => occt master caf231b0
2016-10-21 11:25 apn Assigned To bugmaster => apn
2016-10-21 11:25 apn Status tested => verified
2016-10-21 11:25 apn Resolution open => fixed
2016-10-28 21:41 git Note Added: 0059426
2016-10-28 21:41 git Note Added: 0059427
2016-10-28 21:41 git Note Added: 0059428
2016-10-28 21:41 git Note Added: 0059429
2016-10-28 21:48 git Note Added: 0059539
2016-11-01 14:09 kgv Relationship added parent of 0028035
2016-12-09 16:29 aiv Status verified => closed
2016-12-09 16:40 aiv Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker